<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>Getting Started</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#01-introduction/getting-started.html">Open topic with navigation</a>
        </p>
        <h1>Getting Started</h1>
        <p>If this is your first time using <span class="VariablesProductName">Metasploit Pro</span>, you've come to the right place. This section walks you through basic concepts and explains how things work in <span class="VariablesProductName">Metasploit Pro</span>. </p>
        <h2>Accessing <span class="VariablesProductName">Metasploit Pro</span></h2>
        <p>The first thing you will need to do is access the web interface for <span class="VariablesProductName">Metasploit Pro</span>. Open a browser and go to <code class="usertype">https://localhost:3790</code> if <span class="VariablesProductName">Metasploit Pro</span> runs on your local machine. If <span class="VariablesProductName">Metasploit Pro</span> runs on a remote machine, you need to replace <code>localhost</code> with the address of the remote machine. </p>
        <p>To log in to the web interface, you will need the username and password for the account you created when you activated the license key for <span class="VariablesProductName">Metasploit Pro</span>. If you don't remember your password, visit this page to learn how to reset it: <MadCap:conditionalText data-mc-conditions="Pro_Help_Conditions.OnlineOnly"><a href="../04-administration/resetting-account-password.html" class="online MCXref xref xrefonline">Resetting the Password for a User Account</a></MadCap:conditionalText>.</p>
        <p class="SubHeading1">Supported Browsers</p>
        <ul>
            <li value="1">Google Chrome 10+
</li>
            <li value="2">Mozilla Firefox 18+
</li>
            <li value="3">Internet Explorer 10+
</li>
            <li value="4">Iceweasel 18+</li>
        </ul>
        <h2>Touring the Projects Page</h2>
        <p>After you log in to <span class="VariablesProductName">Metasploit Pro</span>, the first screen you see is the home page. The home page is also often referred to as the Projects Page. The Projects Page lists all of the projects that are currently stored in the <span class="VariablesProductName">Metasploit Pro</span> instance and provides you with access to the quick start wizards, global tools, and product news. </p>
        <p>
            <img src="../Resources/Images/getting-started/projects-page_429x187.jpg" title="The Projects Page" alt="The Projects Page" style="width: 429;height: 187;" />
        </p>
        <p>You can always access the Projects Page by clicking on the <span class="VariablesProductName">Metasploit Pro</span> logo, as shown below, or you can select <b class="UISelection">Project&#160;&gt; Show All Projects</b> from the Global toolbar. </p>
        <p>
            <img src="../Resources/Images/getting-started/metasploit-logo_432x188.png" title="Access the Projects Page" alt="Access the Projects Page" style="width: 432;height: 188;" />
        </p>
        <p>The Global toolbar is located at the top of web interface. This toolbar is always available from anywhere in <span class="VariablesProductName">Metasploit Pro</span>. You can use the Global toolbar to access the Projects menu, your account settings, and the Administration menu. </p>
        <p>
            <img src="../Resources/Images/getting-started/global-toolbar_437x191.png" style="width: 437;height: 191;" />
        </p>
        <h3>Quick Start Wizards</h3>
        <p>Each  quick start wizard provides a guided interface that walks you through a common penetration testing task, such as scanning and exploiting a target, building social engineering campaigns, scanning and exploiting web applications, and validating vulnerabilities. </p>
        <p>You can click on any of the quick start wizard icons to launch its guided interface. </p>
        <p>
            <img src="../Resources/Images/getting-started/quick-start-wizards_431x188.jpg" style="width: 431;height: 188;" />
        </p>
        <h3>Global Tools</h3>
        <p>
            <img src="../Resources/Images/getting-started/global-tools_431x188.jpg" style="width: 431;height: 188;" />
        </p>
        <h3>Product News</h3>
        <p>The Product News panel shows you the most recent blogs from Rapid7. If you want to keep up with the newest modules and information from Rapid7 and the community, the Product News panel is a great place to check for the latest content.</p>
        <p>
            <img src="../Resources/Images/getting-started/product-news_434x189.jpg" style="width: 434;height: 189;" />
        </p>
        <p>If for some reason, you don't want to see the Product News panel, you can simply hide it so that it does not display on the Projects Page. </p>
        <p>
            <img src="../Resources/Images/getting-started/product-news-hide_431x188.png" style="width: 431;height: 188;" />
        </p>
        <h2>Understanding Basic Concepts</h2>
        <h3>Project</h3>
        <p>A project is a container for the targets, tasks, reports, and data that are part of a penetration test. A project contains the workspace that you use to create a penetration test and configure tasks.Every test begins with creating a project. </p>
        <h3>Task</h3>
        <p>A task represents an action that Metasploit Pro can perform, such as a scan hosts, bruteforce credentials exploit vulnerable targets, or generate a report.</p>
        <h3>Module</h3>
        <p>A <a name="kanchor198"></a>module is a standalone piece of code, or software, that extends functionality of the Metasploit Framework. Modules automate the functionality that the Metasploit Framework provides and enables you to perform tasks with Metasploit Pro. </p>
    </body>
</html>